com.aliyun.player

## Enum IPlayer.IPResolveType

- java.lang.Object
- - java.lang.Enum<IPlayer.IPResolveType>
  - - com.aliyun.player.IPlayer.IPResolveType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IPlayer.IPResolveType>
  Enclosing interface:
    IPlayer

      public static enum IPlayer.IPResolveType
      extends java.lang.Enum<IPlayer.IPResolveType>

  IP resolve type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IpResolveV4` only ip v4
    `IpResolveV6` only ip v6
    `IpResolveWhatEver` default

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IPlayer.IPResolveType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IPlayer.IPResolveType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IpResolveWhatEver

          public static final IPlayer.IPResolveType IpResolveWhatEver

      default

    - #### IpResolveV4

          public static final IPlayer.IPResolveType IpResolveV4

      only ip v4

    - #### IpResolveV6

          public static final IPlayer.IPResolveType IpResolveV6

      only ip v6

  - ### Method Detail

    - #### values

          public static IPlayer.IPResolveType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IPlayer.IPResolveType c : IPlayer.IPResolveType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IPlayer.IPResolveType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null